Project Chrono: chrono::ChCollisionModelMulticore Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Friends | List of all members
chrono::ChCollisionModelMulticore Class Reference
Chrono::Engine » Collision detection » Multicore collision detection

## Description

Geometric model for the custom multicore Chrono collision system.

`#include <ChCollisionModelMulticore.h>`

Collaboration diagram for chrono::ChCollisionModelMulticore:
[legend]

## Public Member Functions
| ChCollisionModelMulticore (ChCollisionModel *collision_model)
virtual void | SyncPosition () override
| Sets the position and orientation of the collision model as the rigid body current position.
ChBody * | GetBody () const
| Return a pointer to the associated body.
void | SetBody (ChBody *body)
| Set the pointer to the owner rigid body.
virtual ChAABB | GetBoundingBox () const override
| Return the axis aligned bounding box for this collision model.

## Public Attributes
std::vector< real3 > | local_convex_data
ChVector3d | aabb_min
ChVector3d | aabb_max

## Protected Member Functions
void | Populate ()
| Populate the collision system with the collision shapes defined in this model.
virtual void | OnFamilyChange (short int family_group, short int family_mask) override
| Additional operations to be performed on a change in collision family.

## Protected Attributes
ChBody * | mbody
| associated contactable (rigid body only)
std::vector< std::shared_ptr< ctCollisionShape > > | m_ct_shapes
| list of Chrono collision shapes in model
std::vector< std::shared_ptr< ChCollisionShape > > | m_shapes
| extended list of collision shapes

## Friends
class | ChCollisionSystemMulticore
class | ChCollisionSystemChronoMulticore
class | ChContactContainerMulticoreNSC
class | ChContactContainerMulticoreSMC

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/collision/multicore/ChCollisionModelMulticore.h
- D:/W/B/src/chrono-9.0.1/src/chrono/collision/multicore/ChCollisionModelMulticore.cpp